package org.jeecg.modules.workOrder.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.regular.entity.RegularInput;
import org.jeecg.modules.workOrder.entity.WorkRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.workOrder.model.WorkOrderDetailRecord;

import java.util.List;
import java.util.Map;

/**
 * @Description: 作业数据记录
 * @Author: jeecg-boot
 * @Date:   2025-02-20
 * @Version: V1.0
 */
public interface IWorkRecordService extends IService<WorkRecord> {

    IPage<WorkRecord> queryPages(Page<WorkRecord> page, QueryWrapper<WorkRecord> queryWrapper);
    List<WorkOrderDetailRecord> initWorkRecord(WorkRecord workRecord);
    Boolean nowWorkRecord(String recordId);
    WorkRecord againWorkRecord(String recordId);
    List<WorkOrderDetailRecord> listWorkRecordByWorkOrder(String workOrder);

    List<WorkRecord> initWorkRecordTwo(WorkRecord workRecord)throws Exception;
    RegularInput nowWorkRecordTwo(String recordId);
    WorkRecord insertWorkRecord(Map<String, Object> data);
}
